#
# spec file for package kcontacts
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_without lang

%define kf5_version 5.5.0
Name:           kcontacts
Version:        17.08.2
Release:        0
%define kf5_version 5.26.0
# Latest stable Applications (e.g. 17.08 in KA, but 17.11.80 in KUA)
%{!?_kapp_version: %global _kapp_version %(echo %{version}| awk -F. '{print $1"."$2}')}
Summary:        Address book API for KDE
License:        LGPL-2.1+
Group:          System/GUI/KDE
Url:            http://www.kde.org
Source:         kcontacts-%{version}.tar.xz
Source1:        baselibs.conf
BuildRequires:  extra-cmake-modules >= 1.3.0
BuildRequires:  kcodecs-devel >= %{kf5_version}
BuildRequires:  kconfig-devel >= %{kf5_version}
BuildRequires:  kcoreaddons-devel >= %{kf5_version}
BuildRequires:  kf5-filesystem
BuildRequires:  ki18n-devel >= %{kf5_version}
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(Qt5DBus) >= 5.3.0
BuildRequires:  pkgconfig(Qt5Gui) >= 5.3.0
BuildRequires:  pkgconfig(Qt5Test) >= 5.3.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Libkcontacts provides an API for address book data.

%package -n libKF5Contacts5
Summary:        Address book API for KDE
Group:          System/Libraries
%if %{with lang}
Recommends:     %{name}-lang
%endif
Provides:       %{name} = %{version}

%description  -n libKF5Contacts5
Libkcontacts provides an API for address book data.

%package devel
Summary:        New address book API for KDE: Build Environment
Group:          Development/Libraries/KDE
Requires:       kcoreaddons-devel >= %{kf5_version}
Requires:       libKF5Contacts5 = %{version}
Provides:       kcontacts5-devel = %{version}
Obsoletes:      kcontacts5-devel <= %{version}

%description devel
Libkcontacts provides an API for address book data.
Development files.

%if %{with lang}
%lang_package
%endif

%prep
%setup -q -n kcontacts-%{version}

%build
  %cmake_kf5 -d build -- -DBUILD_TESTING=ON
  %make_jobs

%install
  %kf5_makeinstall -C build
  %if %{with lang}
    %find_lang %{name} --with-man --all-name
  %endif

%post -n libKF5Contacts5 -p /sbin/ldconfig
%postun -n libKF5Contacts5 -p /sbin/ldconfig

%files -n libKF5Contacts5
%defattr(-,root,root)
%doc COPYING*
%{_kf5_libdir}/libKF5Contacts.so.*
%{_kf5_datadir}/kcontacts/

%files devel
%defattr(-,root,root)
%doc COPYING*
%{_kf5_cmakedir}/KF5Contacts/
%{_kf5_includedir}/KContacts/
%{_kf5_includedir}/kcontacts_version.h
%{_kf5_libdir}/libKF5Contacts.so
%{_kf5_mkspecsdir}/qt_KContacts.pri

%if %{with lang}
%files lang -f %{name}.lang
%doc COPYING*
%endif

%changelog
